<?php

declare(strict_types=1);

namespace App\Controller\Accion;

use App\Service\AccionService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getAccionService(): AccionService
    {
        return $this->container->get('Accion_service');
    }
}
